VERSION 5.00
Begin VB.Form frmSlowSync 
   BackColor       =   &H80000005&
   Caption         =   "Recover (slow sync)"
   ClientHeight    =   2670
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   3300
   Icon            =   "frmSlowSync.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   2670
   ScaleWidth      =   3300
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton synchronize_com 
      BackColor       =   &H00FFFFFF&
      Caption         =   "Synchronize"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9,75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   372
      Left            =   120
      TabIndex        =   6
      Top             =   2160
      Width           =   1455
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Cancel"
      Height          =   372
      Left            =   1800
      TabIndex        =   0
      Top             =   2160
      Width           =   1332
   End
   Begin VB.Frame Frame1 
      BackColor       =   &H00FFFFFF&
      Caption         =   "Force slow sync"
      Height          =   1695
      Left            =   120
      TabIndex        =   1
      Top             =   240
      Width           =   3015
      Begin VB.CheckBox notesCheck 
         BackColor       =   &H00FFFFFF&
         Caption         =   "Notes"
         Height          =   492
         Left            =   1800
         TabIndex        =   5
         Top             =   960
         Width           =   975
      End
      Begin VB.CheckBox tasksCheck 
         BackColor       =   &H00FFFFFF&
         Caption         =   "Tasks"
         Height          =   492
         Left            =   1800
         TabIndex        =   4
         Top             =   360
         Width           =   975
      End
      Begin VB.CheckBox contactsCheck 
         BackColor       =   &H00FFFFFF&
         Caption         =   "Contacts"
         Height          =   492
         Left            =   240
         TabIndex        =   2
         Top             =   360
         Width           =   1332
      End
      Begin VB.CheckBox calendarsCheck 
         BackColor       =   &H00FFFFFF&
         Caption         =   "Calendar"
         Height          =   492
         Left            =   240
         TabIndex        =   3
         Top             =   960
         Width           =   1332
      End
   End
End
Attribute VB_Name = "frmSlowSync"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

'
'Copyright (C) 2003-2006 Funambol
'
'This program is free software; you can redistribute it and/or modify
'it under the terms of the GNU General Public License as published by
'the Free Software Foundation; either version 2 of the License, or
'(at your option) any later version.
'
'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details.
'
'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
'
'******************************************************************
'*                  Form:   frmSlowSync.frm                       *
'*                  ------------------------                      *
'* To force slow-sync from client Outlook: when slow-sync is      *
'* selected, existing sync-mode is ignored. Sources not selected  *
'* in this form will not be processed.                            *
'******************************************************************

Public forceContactsSlowSync As Boolean
Public forceCalendarsSlowSync As Boolean
Public forceTasksSlowSync As Boolean
Public forceNotesSlowSync As Boolean

' To notify we started a forced slow sync
Public slowSyncForced As Boolean


Private Sub Command2_Click()
    Unload Me
End Sub

Private Sub Form_Load()
    
    slowSyncForced = False
    
    'Load modes
    If forceContactsSlowSync = True Then
        contactsCheck.value = 1
    Else
        contactsCheck.value = 0
    End If
    If forceCalendarsSlowSync = True Then
        calendarsCheck.value = 1
    Else
        calendarsCheck.value = 0
    End If
    If forceTasksSlowSync = True Then
        tasksCheck.value = 1
    Else
        tasksCheck.value = 0
    End If
    If forceNotesSlowSync = True Then
        notesCheck.value = 1
    Else
        notesCheck.value = 0
    End If
    
    'Center the form in the screen
    Me.Move (Screen.Width - Me.Width) / 2, (Screen.Height - Me.Height) / 2

End Sub


Public Sub discardValues()

    forceContactsSlowSync = False
    forceCalendarsSlowSync = False
    forceTasksSlowSync = False
    forceNotesSlowSync = False
    slowSyncForced = False

End Sub

' Save configuration for slow sync.
' (save variables that will be checked before sync, in frmMMSync.checkForcedSlowSync)
Private Sub Save()

    If contactsCheck.value = 1 Then
        forceContactsSlowSync = True
    Else
        forceContactsSlowSync = False
    End If
    If calendarsCheck.value = 1 Then
        forceCalendarsSlowSync = True
    Else
        forceCalendarsSlowSync = False
    End If
    If tasksCheck.value = 1 Then
        forceTasksSlowSync = True
    Else
        forceTasksSlowSync = False
    End If
    If notesCheck.value = 1 Then
        forceNotesSlowSync = True
    Else
        forceNotesSlowSync = False
    End If

End Sub

Private Sub synchronize_com_Click()
    
    Save
    slowSyncForced = True
    Unload Me
    
    frmMMSync.synchronize
    
End Sub
