VERSION 5.00
Begin VB.Form frmForSync 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "SyncML Agent - Prepared Items"
   ClientHeight    =   8250
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   7710
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   8250
   ScaleWidth      =   7710
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdSync 
      Caption         =   "Confirm &Sync"
      Height          =   375
      Left            =   6240
      TabIndex        =   10
      Top             =   240
      Width           =   1215
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "&Cancel"
      Height          =   375
      Left            =   6240
      TabIndex        =   9
      Top             =   7800
      Width           =   1215
   End
   Begin VB.ComboBox cboFolders 
      Height          =   315
      Left            =   360
      TabIndex        =   8
      Text            =   "Choose a folder..."
      Top             =   240
      Width           =   3375
   End
   Begin VB.ListBox lstAll 
      Height          =   2790
      ItemData        =   "frmForSync.frx":0000
      Left            =   4080
      List            =   "frmForSync.frx":0007
      MultiSelect     =   2  'Extended
      TabIndex        =   3
      Top             =   4680
      Width           =   3375
   End
   Begin VB.ListBox lstDeleted 
      Height          =   2790
      ItemData        =   "frmForSync.frx":0013
      Left            =   360
      List            =   "frmForSync.frx":001A
      MultiSelect     =   2  'Extended
      TabIndex        =   2
      Top             =   4680
      Width           =   3375
   End
   Begin VB.ListBox lstModified 
      Height          =   2790
      ItemData        =   "frmForSync.frx":002A
      Left            =   4080
      List            =   "frmForSync.frx":0031
      MultiSelect     =   2  'Extended
      TabIndex        =   1
      Top             =   1200
      Width           =   3375
   End
   Begin VB.ListBox lstCreated 
      Height          =   2790
      ItemData        =   "frmForSync.frx":0038
      Left            =   360
      List            =   "frmForSync.frx":003F
      MultiSelect     =   2  'Extended
      TabIndex        =   0
      Top             =   1200
      Width           =   3375
   End
   Begin VB.Label lblAll 
      Caption         =   "All Items: "
      Enabled         =   0   'False
      Height          =   255
      Left            =   4080
      TabIndex        =   7
      Top             =   4320
      Width           =   3375
   End
   Begin VB.Label lblDeleted 
      Caption         =   "Deleted Items: "
      Enabled         =   0   'False
      Height          =   255
      Left            =   360
      TabIndex        =   6
      Top             =   4320
      Width           =   3375
   End
   Begin VB.Label lblModified 
      Caption         =   "Modified Items: "
      Enabled         =   0   'False
      Height          =   255
      Left            =   4080
      TabIndex        =   5
      Top             =   840
      Width           =   3375
   End
   Begin VB.Label lblCreated 
      Caption         =   "Created Items: "
      Enabled         =   0   'False
      Height          =   255
      Left            =   360
      TabIndex        =   4
      Top             =   840
      Width           =   3375
   End
End
Attribute VB_Name = "frmForSync"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
    '
'Copyright (C) 2003-2006 Funambol
'
'This program is free software; you can redistribute it and/or modify
'it under the terms of the GNU General Public License as published by
'the Free Software Foundation; either version 2 of the License, or
'(at your option) any later version.
'
'This program is distributed in the hope that it will be useful,
'but WITHOUT ANY WARRANTY; without even the implied warranty of
'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
'GNU General Public License for more details.
'
'You should have received a copy of the GNU General Public License
'along with this program; if not, write to the Free Software
'Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
'

'****************************************************************
'*Form:    frmForSync.frm                                       *
'*Author:  Valeria Olivati - c/o Funambol - Pavia - Italy       *
'*E-mail:  olivale@tin.it                                       *
'*Date:    2003/09/10                                           *
'*                                                              *
'*This form presents the lists of the items analyzed in the     *
'*selected folders: created, modificated and deleted items since*
'*the last synchronization, and all the items into the folders  *
'*selected for sync. Choosing a folder in the comboBox all the  *
'*subjects of these items will be listed in the relative        *
'*listBoxes.                                                    *
'*The user can execute the last step of synchronization:        *
'*sending and receiving the data about the items to sync.       *
'****************************************************************

Option Explicit

Public Sub Form_Load()
    'prepare the array and fill the comboBox with the selected folders,
    'and clear all the items listBoxes

Dim i As Integer, J As Integer
Dim totalDim As Integer
Dim calDim As Integer, conDim As Integer
Dim mailDim As Integer, taskDim As Integer

On Error GoTo Form_Load_Err

J = 0 'useful for linking the selection in cboFolders with the folder's EntryID
      'and for saving the number of selected folders

'first dim for selectedFolders array
calDim = UBound(mdVariables.calendarFolders)
conDim = UBound(mdVariables.contactsFolders)
mailDim = UBound(mdVariables.mailFolders)
taskDim = UBound(mdVariables.tasksFolders)
totalDim = calDim + conDim + mailDim + taskDim
ReDim mdVariables.selectedFolders(totalDim)

'prepare in the comboBox the list of folders

'reads the selected folders for Calendar type and save them into selectedFolders array
For i = 1 To UBound(mdVariables.calendarFolders)
    If mdVariables.calendarFolders(i).Selected Then
        cboFolders.addItem "Calendar: " & mdVariables.calendarFolders(i).name
        mdVariables.selectedFolders(J).EntryID = mdVariables.calendarFolders(i).EntryID
        mdVariables.selectedFolders(J).Type = mdVariables.FOLDER_TYPE_CAL
        J = J + 1
    End If
Next i
'reads the selected folders for Contacts type and save them into selectedFolders array
For i = 1 To UBound(mdVariables.contactsFolders)
    If mdVariables.contactsFolders(i).Selected Then
        cboFolders.addItem "Contacts: " & mdVariables.contactsFolders(i).name
        mdVariables.selectedFolders(J).EntryID = mdVariables.contactsFolders(i).EntryID
        mdVariables.selectedFolders(J).Type = mdVariables.FOLDER_TYPE_CON
        J = J + 1
    End If
Next i
'reads the selected folders for Mail type and save them into selectedFolders array
For i = 1 To UBound(mdVariables.mailFolders)
    If mdVariables.mailFolders(i).Selected Then
        cboFolders.addItem "Mail: " & mdVariables.mailFolders(i).name
        mdVariables.selectedFolders(J).EntryID = mdVariables.mailFolders(i).EntryID
        mdVariables.selectedFolders(J).Type = mdVariables.FOLDER_TYPE_MAIL
        J = J + 1
    End If
Next i
'reads the selected folders for Tasks type and save them into selectedFolders array
For i = 1 To UBound(mdVariables.tasksFolders)
    If mdVariables.tasksFolders(i).Selected Then
        cboFolders.addItem "Tasks: " & mdVariables.tasksFolders(i).name
        mdVariables.selectedFolders(J).EntryID = mdVariables.tasksFolders(i).EntryID
        mdVariables.selectedFolders(J).Type = mdVariables.FOLDER_TYPE_TASK
        J = J + 1
    End If
Next i

'redim selectedFolders array only with the selected folders
ReDim Preserve mdVariables.selectedFolders(J - 1)
mdVariables.countSelected = J

'prepare in the listBox the empty lists
lstCreated.Clear
lstModified.Clear
lstDeleted.Clear
lstAll.Clear

'Center the form in the screen
Me.Move (Screen.Width - Me.Width) / 2, (Screen.Height - Me.Height) / 2

Form_Load_Exit:
    Exit Sub

Form_Load_Err:

    Dim actionToDo As Integer
    
    actionToDo = mdErrors.fixErrors(Err.number)
    Select Case actionToDo
    Case 0
        GoTo Form_Load_Exit
    Case 1
        Resume
    Case 2
        Resume Next
    End Select

End Sub

Private Sub Form_Activate()

Me.MousePointer = vbDefault

End Sub

Private Sub cboFolders_Click()
    'after the selection of a folder name in comboBox,
    'read the items from the prepared files and
    'fill the relative listBoxes with their subjects

Dim selection As String
Dim folderType As Integer

On Error GoTo cboFolders_Click_Err

'read the entryID folder using the selection in comboBox
selection = mdVariables.selectedFolders(cboFolders.ListIndex).EntryID
'read the folder type using the selection in comboBox
folderType = mdVariables.selectedFolders(cboFolders.ListIndex).Type
logToDebug selection & " " & folderType
'clear all the listboxes
lstCreated.Clear
lstModified.Clear
lstDeleted.Clear
lstAll.Clear

'fill the listBoxes with the Subjects of the Items to Sync

'read all the Created Items from the file
fillListBox lstCreated, selection, folderType, mdVariables.FILE_TYPE_CRE
'read all the Modified Items from the file
fillListBox lstModified, selection, folderType, mdVariables.FILE_TYPE_MOD
'read all the Deleted Items from the file
fillListBox lstDeleted, selection, folderType, mdVariables.FILE_TYPE_DEL
'read all the All Items from the file
fillListBox lstAll, selection, folderType, mdVariables.FILE_TYPE_ALL

cboFolders_Click_Exit:
    Exit Sub

cboFolders_Click_Err:

    Dim actionToDo As Integer
    
    actionToDo = mdErrors.fixErrors(Err.number)
    Select Case actionToDo
    Case 0
        GoTo cboFolders_Click_Exit
    Case 1
        Resume
    Case 2
        Resume Next
    End Select

End Sub

Private Sub cmdSync_Click()
    'complete the synchronization copying the All items file in the Old items file
    'for each selected folder

Dim i As Integer

'Ask to confirm the sync action
If MsgBox("at this time we confirm the Sync action", vbYesNo) = vbYes Then
    MsgBox "Sync YES, end program"
    
    mdFileSystem.endOfSync
    
    mdUnload.closeProgram
    
Else
    MsgBox "Sync NO"
End If

End Sub

Private Sub cmdCancel_Click()
    'unload the form

Unload frmForSync

End Sub

Sub fillListBox(ByRef theList As ListBox, ByRef theFolderToList As String, ByRef theFolderType As Integer, theItemType As Integer)
    'fill the listBox theList reading the item's subject of the items
    'listed in the files inside the folder with theFolderToList name

Dim getFile As String
Dim readingLIne As String
Dim countDeleted As Integer

On Error GoTo fillListBox_Err

countDeleted = 0

'enter in the folder
ChDir theFolderToList

'select what listBox to fill and what file opens to read le items list
Select Case theItemType
    Case mdVariables.FILE_TYPE_ALL
        theList = lstAll
        getFile = mdVariables.NAME_ALL_FILE
    Case mdVariables.FILE_TYPE_CRE
        theList = lstCreated
        getFile = mdVariables.NAME_CRE_FILE
    Case mdVariables.FILE_TYPE_MOD
        theList = lstModified
        getFile = mdVariables.NAME_MOD_FILE
    Case mdVariables.FILE_TYPE_DEL
        theList = lstDeleted
        getFile = mdVariables.NAME_DEL_FILE
End Select

'open the file and fill the listBox
If mdFileSystem.doesFileExist(getFile) Then
    Open getFile For Input As #1
    Input #1, readingLIne 'read the first line, the date of file creation
    Input #1, readingLIne 'read the second line, the type of items listed in the file
    Do While Not EOF(1)
        Input #1, readingLIne 'read the next line, the item's entryID
        'add the item's subject in the listBox
        If getFile = mdVariables.NAME_DEL_FILE Then
            theList.addItem readingLIne
        Else
            theList.addItem mdVariables.nameSpace.GetItemFromID(readingLIne).Subject
        End If
    Loop
    Close #1
    If theList.ListCount = 0 Then 'if the list is empty
        theList.addItem "No more Items in this folder since last Sync"
        theList.addItem mdVariables.lastSync
    End If
End If

'exit the folder
ChDir ".."

fillListBox_Exit:
    Exit Sub

fillListBox_Err:

    Dim actionToDo As Integer
    
    actionToDo = mdErrors.fixErrors(Err.number)
    Select Case actionToDo
    Case 0
        GoTo fillListBox_Exit
    Case 1
        Resume
    Case 2
        Resume Next
    End Select

End Sub

Private Sub Form_Unload(Cancel As Integer)
    'restore the mouse pointer to default
    'when the control returns to frmPrepare
frmPrepare.MousePointer = vbDefault

End Sub
